package org.tmatesoft.svn.util;

import java.io.File;
import java.util.Arrays;
import java.util.Map;

import org.tmatesoft.svn.core.SVNCancelException;
import org.tmatesoft.svn.core.SVNCommitInfo;
import org.tmatesoft.svn.core.SVNException;
import org.tmatesoft.svn.core.SVNLogEntry;
import org.tmatesoft.svn.core.SVNRevisionProperty;
import org.tmatesoft.svn.core.SVNURL;
import org.tmatesoft.svn.core.internal.io.dav.DAVRepositoryFactory;
import org.tmatesoft.svn.core.internal.io.fs.FSRepositoryFactory;
import org.tmatesoft.svn.core.internal.io.fs.test.SVNRepositoryReplicationTest;
import org.tmatesoft.svn.core.internal.io.svn.SVNRepositoryFactoryImpl;
import org.tmatesoft.svn.core.io.SVNRepository;
import org.tmatesoft.svn.core.io.SVNRepositoryFactory;
import org.tmatesoft.svn.core.replicator.ISVNReplicationHandler;
import org.tmatesoft.svn.core.replicator.SVNRepositoryReplicator;

/**
 * @author Marc Strapetz
 */
public class SVNTest {


    public static void main(String[] args) throws SVNException {
        FSRepositoryFactory.setup();
        DAVRepositoryFactory.setup();
        SVNRepositoryFactoryImpl.setup();
        
        SVNRepository src = SVNRepositoryFactory.create(SVNURL.fromFile(new File("c:/test/svn/repos/svn")));
        SVNURL dstURL = SVNURL.fromFile(new File("c:/test/svn/repos/dst2"));
//        SVNURL dstURL = SVNRepositoryFactory.createLocalRepository(new File("c:/test/svn/repos/dst2"), true, true);
        SVNRepository dst = SVNRepositoryFactory.create(dstURL);
        
        SVNRepositoryReplicator replicator = SVNRepositoryReplicator.newInstance();
        replicator.setReplicationHandler(new ISVNReplicationHandler() {

            public void revisionReplicating(SVNRepositoryReplicator source, SVNLogEntry logEntry) throws SVNException {
                System.out.print("replicating " + logEntry.getRevision() + " ... ");
            }

            public void revisionReplicated(SVNRepositoryReplicator source, SVNCommitInfo commitInfo) throws SVNException {
                System.out.println("done");
            }

            public void checkCancelled() throws SVNCancelException {
            }
            
        });
        replicator.replicateRepository(src, dst, 2024, 2025);
    }
}